Bug 429289 - desktop goes blank
desktop goes blank
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-openchrome (Show other bugs)
ia64 Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
Depends On: 438035
  Show dependency treegraph
Reported: 2008-01-18 10:32 EST by Seb
Modified: 2008-03-20 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-20 12:32:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot of partially blank desktop (78.51 KB, image/png)
2008-01-18 10:32 EST, Seb
no flags Details
xorg.conf (1.10 KB, text/plain)
2008-02-07 16:48 EST, Seb
no flags Details
Xorg.0.log (57.08 KB, text/plain)
2008-02-07 16:55 EST, Seb
no flags Details
Xorg.20.log (48.08 KB, text/plain)
2008-02-07 16:56 EST, Seb
no flags Details
Xorg.setup.log (1.15 KB, text/plain)
2008-02-07 16:58 EST, Seb
no flags Details

  None (edit)
Description Seb 2008-01-18 10:32:06 EST
Description of problem:
Desktop randomly goes blank whilst working.
Desktop can be refreshed by maximizing a window and minimizing it again.

Version-Release number of selected component (if applicable):
x-org-x11-drv-openchrome - 0.2.900-7.fc8.x86_64

How reproducible:
Bug randomly appears when working normally (i.e. internet browsing, using
OpenOffice etc.).
Bug is 100% reproducible when dragging an icon around on desktop with mouse for
a short while.

Steps to Reproduce:
1. left-click & hold icon which is located on desktop (i.e. trash)
2. drag icon around on desktop (i.e. left - right - left)
3. desktop goes blank/white

Actual results:
see attachment screenshot.png
The visible parts of my orange desktop are due to opening the start-menu to
locate the program for taking a screenshot. Maximizing a window also refreshs
the desktop.

Expected results:
no blank screen.

Additional info:
Happens @ resolution of 1024 x 768 with 16 bpp and 32 bpp.
Size of shared VGA-memory (32/64MB) has no effect.
Comment 1 Seb 2008-01-18 10:32:06 EST
Created attachment 292158 [details]
screenshot of partially blank desktop
Comment 2 Xavier Bachelot 2008-01-19 08:54:42 EST
No time to try to reproduce this yet, but could you try to add Option
"EnableAGPDMA" "0" to the Device section in your xorg.conf ? Please note this is
only a possible workaround and not the proper fix in any case. It's likely to
have a bad impact on the X performances of your machine. iirc, you're using a
K8M800, right ? 
Comment 3 Seb 2008-01-19 15:18:45 EST
Hello Xavier,
sorry, I forgot to mention: Yes, my chipset is a VIA K8N800 on a Benq Joybook R23.
Option "EnableAGPDMA" "0" in Device section of xorg.conf fixes the problem.
No more blank screens!
X performances not notably slower than with standard Vesa driver.
Thank you once again :o)
Comment 4 Matěj Cepl 2008-01-31 12:21:31 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 6 Seb 2008-02-07 16:48:12 EST
Created attachment 294275 [details]
Comment 7 Seb 2008-02-07 16:52:39 EST
booting without xorg.conf fails due to incorrect autodetection of my laptop
screen. A standard CRT-monitor is used which leaves me with a black screen due
to wrong resolution and refresh rate.
Comment 8 Seb 2008-02-07 16:55:32 EST
Created attachment 294277 [details]
Comment 9 Seb 2008-02-07 16:56:55 EST
Created attachment 294278 [details]
Comment 10 Seb 2008-02-07 16:58:32 EST
Created attachment 294279 [details]
Comment 11 Xavier Bachelot 2008-03-16 17:32:47 EDT
(In reply to comment #3)
> Hello Xavier,
> sorry, I forgot to mention: Yes, my chipset is a VIA K8N800 on a Benq Joybook R23.
> Option "EnableAGPDMA" "0" in Device section of xorg.conf fixes the problem.
> No more blank screens!

It turns out this is most probably a bug with drm. This bug is likely to be
fixed in the drm git tree from today (16/03/2008).  
I'd be really grateful if you can build this tree and give it a try without
disabling AGPDMA. Here's a compilation guide : 

git clone git://anongit.freedesktop.org/git/mesa/drm
cd drm
cd linux-core
make LINUXDIR=/lib/modules/`uname -r`/build DRM_MODULES=via
cp *.ko /lib/modules/`uname -r`/updates/kernel/drivers/char/drm/
depmod -ae

This will _not_ remove the modules shipped with the kernel rpm, but they will be
loaded instead of the kernel ones. You'll need to make sure the old modules are
unloaded before starting X. The easiest is probably to reboot. Lemme know if you
need any help.

Thanks in advance,
Comment 12 Xavier Bachelot 2008-03-20 12:32:51 EDT
Reporter PM'ed me that he doesn't own the hardware anymore and thus cannot test...

However, I strongly believe this bug is fixed in upstream kernel by the
following commit :

Note You need to log in before you can comment on or make changes to this bug.